import { tsv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/AnimeshN/781d201c31162ecbc3f5c3d864b7e6c1/raw/3657ea4497565fe96988e04ee3ab62c205a777c5/3_month_dummy_swk.tsv';

export const getData = async () => {
  const data = await tsv(csvUrl);
  
  let singleLane = data.filter(d=>d['Name of Lane'] === "HiraSethChawl - Waras Lane");
  singleLane = singleLane.map(d => {
    d["Date"] = d["Date"] + "-2020";
    d["Dry Waste After Segg"] = +d["Dry Waste After Segg"];
    return d;
    })
  console.log(singleLane[0]);
  return singleLane;
};